package com.dcsoft.system.consume.mapper;

import com.dcsoft.system.consume.domain.ConsumeSubsidyRecord;

import java.util.List;

/**
 * 餐补明细Mapper接口
 *
 * @author nichun
 * @date 2023-10-11
 */
public interface ConsumeSubsidyRecordMapper
{
    /**
     * 查询餐补明细
     *
     * @param id 餐补明细主键
     * @return 餐补明细
     */
    public ConsumeSubsidyRecord selectConsumeSubsidyRecordById(Long id);

    /**
     * 查询餐补明细列表
     *
     * @param consumeSubsidyRecord 餐补明细
     * @return 餐补明细集合
     */
    public List<ConsumeSubsidyRecord> selectConsumeSubsidyRecordList(ConsumeSubsidyRecord consumeSubsidyRecord);

    /**
     * 新增餐补明细
     *
     * @param consumeSubsidyRecord 餐补明细
     * @return 结果
     */
    public int insertConsumeSubsidyRecord(ConsumeSubsidyRecord consumeSubsidyRecord);

    /**
     * 修改餐补明细
     *
     * @param consumeSubsidyRecord 餐补明细
     * @return 结果
     */
    public int updateConsumeSubsidyRecord(ConsumeSubsidyRecord consumeSubsidyRecord);

    /**
     * 删除餐补明细
     *
     * @param id 餐补明细主键
     * @return 结果
     */
    public int deleteConsumeSubsidyRecordById(Long id);

    /**
     * 批量删除餐补明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteConsumeSubsidyRecordByIds(Long[] ids);

    public ConsumeSubsidyRecord selectConsumeSubsidyRecord(ConsumeSubsidyRecord consumeSubsidyRecord);

    public int issueConsumeSubsidyRecordByIds(Long[] ids);

    public int examineConsumeSubsidyRecordByIds(Long[] ids);
}
